Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 3706)
+++ admin/js/_users_actions.js	(revision 3880)
@@ -5,10 +5,10 @@
   return this.each(function() {
 
-    var perms = {};
-    var re = /^perm\[(.+?)\]\[(.+?)\]$/;
-    var e, prop;
+    let perms = {};
+    const re = /^perm\[(.+?)\]\[(.+?)\]$/;
+    let e, prop;
 
-    var admin = function(E, perms, re) {
-      var P = E.name.match(re);
+    const admin = function(E, perms, re) {
+      const P = E.name.match(re);
 
       perms[P[1]].usage.checked = E.checked;
@@ -29,6 +29,6 @@
     };
 
-    var contentadmin = function(E, perms, re) {
-      var P = E.name.match(re);
+    const contentadmin = function(E, perms, re) {
+      const P = E.name.match(re);
 
       perms[P[1]].usage.checked = E.checked;
@@ -41,6 +41,6 @@
     };
 
-    var mediaadmin = function(E, perms, re) {
-      var P = E.name.match(re);
+    const mediaadmin = function(E, perms, re) {
+      const P = E.name.match(re);
 
       perms[P[1]].media.checked = E.checked;
@@ -50,5 +50,5 @@
 
     // Building a nice object of form elements
-    for (var i = 0; i < this.elements.length; i++) {
+    for (let i = 0; i < this.elements.length; i++) {
       e = this.elements[i];
       if (e.name == undefined) {
@@ -65,7 +65,7 @@
     }
     // Populate states
-    for (var blog in perms) {
+    for (let blog in perms) {
       // Loop on blog
-      for (var element in perms[blog]) {
+      for (let element in perms[blog]) {
         // Loop on permission
         e = perms[blog][element];
Index: admin/js/color-picker.js
===================================================================
--- admin/js/color-picker.js	(revision 3706)
+++ admin/js/color-picker.js	(revision 3880)
@@ -8,7 +8,5 @@
 jQuery.fn.colorPicker = function() {
   $(this).each(function() {
-    var colbox, f;
-    colbox = $('#jquery-colorpicker')[0];
-
+    let colbox = $('#jquery-colorpicker')[0];
     if (colbox == undefined) {
       colbox = document.createElement('div');
@@ -23,12 +21,12 @@
       $('body').append(colbox);
     }
-    f = $.farbtastic(colbox);
+    const f = $.farbtastic(colbox);
     f.linkTo(this);
 
-    var handler = $(document.createElement('img'));
+    const handler = $(document.createElement('img'));
     handler.attr('src', 'images/picker.png');
     handler.attr('alt', '');
 
-    var span = $(document.createElement('span'));
+    const span = $(document.createElement('span'));
 
     if ($(this).css('position') == 'absolute') {
@@ -54,10 +52,10 @@
     });
 
-    var This = this;
+    const This = this;
     handler.click(function() {
       if ($(colbox).css('display') == 'none' || this != colbox.linkedto) {
         f.linkTo(This);
         This.focus();
-        var offset = $(This).offset();
+        const offset = $(This).offset();
         $(colbox).css({
           zIndex: 1000,
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3843)
+++ admin/js/common.js	(revision 3882)
@@ -53,8 +53,12 @@
     if (event.shiftKey) {
       if (dotclear.lastclicked != '') {
-        var range;
-        var trparent = $(this).parents('tr');
-        if (trparent.nextAll('#' + dotclear.lastclicked).length != 0) range = trparent.nextUntil('#' + dotclear.lastclicked);
-        else range = trparent.prevUntil('#' + dotclear.lastclicked);
+        let range;
+        const trparent = $(this).parents('tr');
+        const id = `#${dotclear.lastclicked}`;
+        if (trparent.nextAll(id).length != 0) {
+          range = trparent.nextUntil(id);
+        } else {
+          range = trparent.prevUntil(id);
+        }
         range.find('input[type=checkbox]').setChecked(dotclear.lastclickedstatus);
         this.checked = dotclear.lastclickedstatus;
@@ -68,5 +72,5 @@
 };
 jQuery.fn.toggleWithLegend = function(target, s) {
-  var defaults = {
+  const defaults = {
     img_on_txt: dotclear.img_plus_txt,
     img_on_alt: dotclear.img_plus_alt,
@@ -81,19 +85,19 @@
     reverse_user_pref: false // Reverse cookie behavior
   };
-  var p = jQuery.extend(defaults, s);
+  const p = jQuery.extend(defaults, s);
   if (!target) {
     return this;
   }
-  var set_cookie = p.hide ^ p.reverse_cookie;
+  const set_cookie = p.hide ^ p.reverse_cookie;
   if (p.cookie && jQuery.cookie(p.cookie)) {
     p.hide = p.reverse_cookie;
   }
-  var set_user_pref = p.hide ^ p.reverse_user_pref;
+  let set_user_pref = p.hide ^ p.reverse_user_pref;
   if (p.user_pref && p.unfolded_sections !== undefined && (p.user_pref in p.unfolded_sections)) {
     p.hide = p.reverse_user_pref;
   }
-  var toggle = function(i, speed) {
+  const toggle = function(i, speed) {
     speed = speed || 0;
-    var b = $(i).get(0);
+    const b = $(i).get(0);
     if (p.hide) {
       b.firstChild.data = p.img_on_txt;
@@ -125,13 +129,13 @@
   };
   return this.each(function() {
-    var b = document.createElement('button');
+    const b = document.createElement('button');
     b.setAttribute('type', 'button');
     b.className = 'details-cmd';
     b.value = p.img_on_txt;
     b.setAttribute('aria-label', p.img_on_alt);
-    var t = document.createTextNode(p.img_on_txt);
+    const t = document.createTextNode(p.img_on_txt);
     b.appendChild(t);
 
-    var ctarget = p.legend_click ? this : b;
+    const ctarget = p.legend_click ? this : b;
     $(ctarget).css('cursor', 'pointer');
     if (p.legend_click) {
@@ -140,19 +144,10 @@
     $(ctarget).click(function(e) {
       if (p.user_pref && set_user_pref) {
-        if (p.hide ^ p.reverse_user_pref) {
-          jQuery.post('services.php', {
-            'f': 'setSectionFold',
-            'section': p.user_pref,
-            'value': 1,
-            xd_check: dotclear.nonce
-          }, function() {});
-        } else {
-          jQuery.post('services.php', {
-            'f': 'setSectionFold',
-            'section': p.user_pref,
-            'value': 0,
-            xd_check: dotclear.nonce
-          }, function() {});
-        }
+        jQuery.post('services.php', {
+          f: 'setSectionFold',
+          section: p.user_pref,
+          value: (p.hide ^ p.reverse_user_pref ? 1 : 0),
+          xd_check: dotclear.nonce
+        }, function() {});
         jQuery.cookie(p.user_pref, '', {
           expires: -1
@@ -167,37 +162,35 @@
   });
 };
+
 (function($) {
   $.expandContent = function(opts) {
-    var defaults = {};
-    $.expandContent.options = $.extend({}, defaults, opts);
     if (opts == undefined || opts.callback == undefined || !$.isFunction(opts.callback)) {
       return;
     }
     if (opts.line != undefined) {
-      multipleExpander(opts.line, opts.lines);
+      multipleExpander(opts.line, opts.lines, opts.callback);
     }
     opts.lines.each(function() {
-      singleExpander(this);
-    });
-  };
-  var singleExpander = function singleExpander(line) {
-    $('<button type="button" class="details-cmd" aria-label="' + dotclear.img_plus_alt + '">' + dotclear.img_plus_txt + '</button>').click(function (e) {
+      singleExpander(this, opts.callback);
+    });
+  };
+  const singleExpander = function(line, callback) {
+    $(`<button type="button" class="details-cmd" aria-label="${dotclear.img_plus_alt}">${dotclear.img_plus_txt}</button>`).click(function(e) {
       toggleArrow(this);
-      $.expandContent.options.callback.call(this, line);
+      callback(line, '', e);
       e.preventDefault();
     }).prependTo($(line).children().get(0)); // first td
   };
-  var multipleExpander = function multipleExpander(line, lines) {
-    $('<button type="button" class="details-cmd" aria-label="' + dotclear.img_plus_alt + '">' + dotclear.img_plus_txt + '</button>').click(function (e) {
-      var that = this;
+  const multipleExpander = function(line, lines, callback) {
+    $(`<button type="button" class="details-cmd" aria-label="${dotclear.img_plus_alt}">${dotclear.img_plus_txt}</button>`).click(function(e) {
       var action = toggleArrow(this);
       lines.each(function() {
         toggleArrow(this.firstChild.firstChild, action);
-        $.expandContent.options.callback.call(that, this, action);
+        callback(this, action, e);
       });
       e.preventDefault();
     }).prependTo($(line).children().get(0)); // first td
   };
-  var toggleArrow = function toggleArrow(button, action) {
+  const toggleArrow = function(button, action) {
     action = action || '';
     if (action == '') {
@@ -224,5 +217,6 @@
     return this;
   }
-  var p = {
+  let select = $();
+  const p = {
     img_on_txt: dotclear.img_plus_txt,
     img_on_alt: dotclear.img_plus_alt,
@@ -230,6 +224,6 @@
     img_off_alt: dotclear.img_minus_alt
   };
-  var This = this;
-  var toggle = function() {
+  const This = this;
+  const toggle = function() {
     $('#content').toggleClass('with-help');
     if (document.all) {
@@ -244,5 +238,5 @@
     return false;
   };
-  var sizeBox = function() {
+  const sizeBox = function() {
     This.css('height', 'auto');
     if ($('#wrapper').height() > This.height()) {
@@ -250,8 +244,8 @@
     }
   };
-  var textToggler = function(o) {
-    var b = $('<button type="button" class="details-cmd" aria-label="' + p.img_on_alt + '">' + p.img_on_txt + '</button>');
+  const textToggler = function(o) {
+    const b = $(`<button type="button" class="details-cmd" aria-label="${p.img_on_alt}">${p.img_on_txt}</button>`);
     o.css('cursor', 'pointer');
-    var hide = true;
+    let hide = true;
     o.prepend(' ').prepend(b);
     o.click(function() {
@@ -265,5 +259,5 @@
       });
       hide = !hide;
-      var img = $(this).find('button.details-cmd');
+      const img = $(this).find('button.details-cmd');
       if (!hide) {
         img.html(p.img_off_txt);
@@ -284,6 +278,5 @@
   this.find('h4:first').nextAll('*:not(h4)').hide();
   sizeBox();
-  var img = $('<p id="help-button"><span><a href="">' + dotclear.msg.help + '</a></span></p>');
-  var select = $();
+  const img = $(`<p id="help-button"><span><a href="">${dotclear.msg.help}</a></span></p>`);
   img.click(function(e) {
     e.preventDefault();
@@ -292,7 +285,7 @@
   $('#content').append(img);
   // listen for scroll
-  var peInPage = $('#help-button').offset().top;
+  const peInPage = $('#help-button').offset().top;
   $('#help-button').addClass('floatable');
-  var peInFloat = $('#help-button').offset().top - $(window).scrollTop();
+  const peInFloat = $('#help-button').offset().top - $(window).scrollTop();
   $('#help-button').removeClass('floatable');
   $(window).scroll(function() {
@@ -305,11 +298,13 @@
   return this;
 };
+
 /* Dotclear common object
 -------------------------------------------------------- */
-var dotclear = {
+const dotclear = {
   msg: {},
+
   enterKeyInForm: function(frm_id, ok_id, cancel_id) {
     $(frm_id + ':not(' + cancel_id + ')').keyup(function(e) {
-      if (e.key == 'Enter') {
+      if ((e.key == 'Enter') && ($(ok_id).prop('disabled') !== true)) {
         e.preventDefault();
         e.stopPropagation();
@@ -318,6 +313,7 @@
     });
   },
+
   condSubmit: function(chkboxes, target) {
-    var checkboxes = $(chkboxes),
+    const checkboxes = $(chkboxes),
       submitButt = $(target);
     if (checkboxes === undefined || submitButt === undefined) {
@@ -341,16 +337,17 @@
     });
   },
+
   hideLockable: function() {
     $('div.lockable').each(function() {
-      var current_lockable_div = this;
+      const current_lockable_div = this;
       $(this).find('p.form-note').hide();
       $(this).find('input').each(function() {
         this.disabled = true;
-        $(this).width(($(this).width() - 14) + 'px');
-        var imgE = document.createElement('img');
+        $(this).width(`${$(this).width() - 14}px`);
+        const imgE = document.createElement('img');
         imgE.src = 'images/locker.png';
         imgE.style.position = 'absolute';
         imgE.style.top = '1.8em';
-        imgE.style.left = ($(this).width() + 14) + 'px';
+        imgE.style.left = `${$(this).width() + 14}px`;
         imgE.alt = dotclear.msg.click_to_unlock;
         $(imgE).css('cursor', 'pointer');
@@ -368,8 +365,9 @@
     });
   },
+
   checkboxesHelpers: function(e, target, c, s) {
     $(e).append(document.createTextNode(dotclear.msg.to_select));
     $(e).append(document.createTextNode(' '));
-    $('<button type="button" class="checkbox-helper select-all">' + dotclear.msg.select_all + '</button>').click(function() {
+    $(`<button type="button" class="checkbox-helper select-all">${dotclear.msg.select_all}</button>`).click(function() {
       if (target !== undefined) {
         target.check();
@@ -383,5 +381,5 @@
     }).appendTo($(e));
     $(e).append(document.createTextNode(' '));
-    $('<button type="button" class="checkbox-helper select-none">' + dotclear.msg.no_selection + '</button>').click(function() {
+    $(`<button type="button" class="checkbox-helper select-none">${dotclear.msg.no_selection}</button>`).click(function() {
       if (target !== undefined) {
         target.unCheck();
@@ -395,5 +393,5 @@
     }).appendTo($(e));
     $(e).append(document.createTextNode(' '));
-    $('<button type="button" class="checkbox-helper select-reverse">' + dotclear.msg.invert_sel + '</button>').click(function() {
+    $(`<button type="button" class="checkbox-helper select-reverse">${dotclear.msg.invert_sel}</button>`).click(function() {
       if (target !== undefined) {
         target.toggleCheck();
@@ -407,11 +405,12 @@
     }).appendTo($(e));
   },
+
   postsActionsHelper: function() {
     $('#form-entries').submit(function() {
-      var action = $(this).find('select[name="action"]').val();
+      const action = $(this).find('select[name="action"]').val();
       if (action === undefined) {
         return;
       }
-      var checked = false;
+      let checked = false;
       $(this).find('input[name="entries[]"]').each(function() {
         if (this.checked) {
@@ -428,8 +427,9 @@
     });
   },
+
   commentsActionsHelper: function() {
     $('#form-comments').submit(function() {
-      var action = $(this).find('select[name="action"]').val();
-      var checked = false;
+      const action = $(this).find('select[name="action"]').val();
+      let checked = false;
       $(this).find('input[name="comments[]"]').each(function() {
         if (this.checked) {
@@ -445,6 +445,105 @@
       return true;
     });
-  }
-};
+  },
+
+  outgoingLinks: function(target) {
+    $(target).filter(function() {
+      return ((this.hostname && this.hostname != location.hostname && !$(this).hasClass('modal') && !$(this).hasClass('modal-image')) || $(this).hasClass('outgoing'));
+    }).each(function() {
+      $(this).prop('title', `${$(this).prop('title')} (${dotclear.msg.new_window})`);
+      if (!$(this).hasClass('outgoing')) {
+        $(this).append('&nbsp;<img class="outgoing-js" src="images/outgoing-link.svg" alt=""/>');
+      }
+    }).click(function(e) {
+      e.preventDefault();
+      window.open($(this).attr('href'));
+    });
+  },
+
+  badge: function($elt, options = null) {
+    // Cope with selector given as string or DOM element rather than a jQuery object
+    if (typeof $elt === 'string' || $elt instanceof Element) {
+      $elt = $($elt);
+    }
+
+    // Return if elt does not exist
+    if (!$elt.length) return;
+
+    // Cope with options
+    const opt = $.extend({
+      /* sibling: define if the given element is a sibling of the badge or it's parent
+       *  true: use $elt.after() to add badge
+       *  false: use $elt.parent().append() to add badge (default)
+       */
+      sibling: false,
+      /* id: badge unique class
+       *  this class will be used to delete all corresponding badge (used for removing and updating)
+       */
+      id: 'default',
+      /* remove: will remove the badge if set to true */
+      remove: false,
+      /* value: badge value */
+      value: null,
+      /* inline: if set to true, the badge is an inline element (useful for menu item) rather than a block */
+      inline: false,
+      /* icon: if set to true, the badge is attached to a dashboard icon (needed for correct positionning) */
+      icon: false,
+      /* type: Override default background (which may vary)
+       *  by default badge background are soft grey for dashboard icons (see opt.icon) and bright red for all other elements
+       *  possible values:
+       *    'std':  bright red
+       *    'info': blue
+       *    'soft': soft grey
+       */
+      type: '',
+      /* left: display badge on the left rather than on the right (unused for inline badge) */
+      left: false,
+      /* noborder: do not display the badge border */
+      noborder: false,
+      /* small: use a smaller font-size */
+      small: false,
+      /* classes: additionnal badge classes */
+      classes: ''
+    }, options);
+
+    // Set some constants
+    const classid = `span.badge.badge-${opt.id}`; // Pseudo unique class
+
+    // Set badgeable class to elt parent's (if sibling) or elt itself, if it is necessary
+    const $parent = (opt.sibling ? $elt.parent() : $elt);
+    if (!opt.inline && !opt.remove && !$parent.hasClass('badgeable')) {
+      $parent.addClass('badgeable');
+    }
+
+    // Remove existing badge if exists
+    const $badge = (opt.sibling ? $parent.children(classid) : $elt.children(classid));
+    if ($badge.length) {
+      $badge.remove();
+    }
+
+    // Add the new badge if any
+    if (!opt.remove && opt.value !== null) {
+      // Compose badge classes
+      const cls = `badge badge-${opt.id} \
+${opt.inline ? 'badge-inline' : 'badge-block'}\
+${opt.icon ? ' badge-icon' : ''}\
+${opt.type !== '' ? ` badge-${opt.type}` : ''}\
+${opt.left ? ' badge-left' : ''}\
+${opt.noborder ? ' badge-noborder' : ''}\
+${opt.small ? ' badge-small' : ''}\
+${opt.classes !== '' ? ` ${opt.classes}` : ''}`;
+      // Compose badge
+      const xml = `<span class="${cls}" aria-hidden="true">${opt.value}</span>`;
+      if (opt.sibling) {
+        // Add badge after it's sibling
+        $elt.after(xml);
+      } else {
+        // Append badge to the elt
+        $elt.append(xml);
+      }
+    }
+  }
+};
+
 /* On document ready
 -------------------------------------------------------- */
@@ -454,21 +553,11 @@
   $('body').contents().each(function() {
     if (this.nodeType == 8) {
-      var data = this.data;
+      let data = this.data;
       data = data.replace(/ /g, '&nbsp;').replace(/\n/g, '<br/>');
-      $('<span class="tooltip" aria-hidden="true">' + $('#footer a').prop('title') + data + '</span>').appendTo('#footer a');
+      $(`<span class="tooltip" aria-hidden="true">${$('#footer a').prop('title')}${data}</span>`).appendTo('#footer a');
     }
   });
   // manage outgoing links
-  $('a').filter(function() {
-    return ((this.hostname && this.hostname != location.hostname && !$(this).hasClass('modal') && !$(this).hasClass('modal-image')) || $(this).hasClass('outgoing'));
-  }).each(function() {
-    $(this).prop('title', $(this).prop('title') + ' (' + dotclear.msg.new_window + ')');
-    if (!$(this).hasClass('outgoing')) {
-      $(this).append('&nbsp;<img class="outgoing-js" src="images/outgoing-link.svg" alt=""/>');
-    }
-  }).click(function(e) {
-    e.preventDefault();
-    window.open($(this).attr('href'));
-  });
+  dotclear.outgoingLinks('a');
   // Popups: dealing with Escape key fired
   $('#dotclear-admin.popup').keyup(function(e) {
@@ -483,5 +572,5 @@
     this.form.submit();
   });
-  var menu_settings = {
+  const menu_settings = {
     img_on_src: dotclear.img_menu_off,
     img_off_src: dotclear.img_menu_on,
@@ -507,5 +596,5 @@
   $('p.success,p.warning,p.error,div.error').each(function() {
     $(this).addClass('close-notice-parent');
-    $(this).append('<button class="close-notice" type="button"><img src="images/close.png" alt="' + dotclear.msg.close_notice + '" /></button>');
+    $(this).append(`<button class="close-notice" type="button"><img src="images/close.png" alt="${dotclear.msg.close_notice}" /></button>`);
   });
   $('button.close-notice').click(function(e) {
@@ -515,5 +604,5 @@
   // Password
   $('form:has(input[type=password][name=your_pwd])').submit(function() {
-    var e = this.elements.your_pwd;
+    const e = this.elements.your_pwd;
     if (e.value == '') {
       $(e).addClass('missing').focusout(function() {
@@ -555,5 +644,5 @@
   }
   // Main menu collapser
-  var objMain = $('#wrapper');
+  const objMain = $('#wrapper');
 
   function showSidebar() {
@@ -573,6 +662,5 @@
   }
   // Sidebar separator
-  var objSeparator = $('#collapser');
-  objSeparator.click(function(e) {
+  $('#collapser').click(function(e) {
     e.preventDefault();
     if (objMain.hasClass('hide-mm')) {
Index: admin/js/confirm-close.js
===================================================================
--- admin/js/confirm-close.js	(revision 3706)
+++ admin/js/confirm-close.js	(revision 3880)
@@ -4,5 +4,5 @@
 function confirmClose() {
   if (arguments.length > 0) {
-    for (var i = 0; i < arguments.length; i++) {
+    for (let i = 0; i < arguments.length; i++) {
       this.forms_id.push(arguments[i]);
     }
@@ -19,13 +19,12 @@
     // Store current form's element's values
 
-    var formsInPage = this.getForms();
-    var f, e;
-    var This = this;
+    const formsInPage = this.getForms();
+    const This = this;
     this.forms = [];
-    for (var i = 0; i < formsInPage.length; i++) {
-      f = formsInPage[i];
-      var tmpForm = [];
-      for (var j = 0; j < f.elements.length; j++) {
-        e = this.getFormElementValue(f[j]);
+    for (let i = 0; i < formsInPage.length; i++) {
+      const f = formsInPage[i];
+      let tmpForm = [];
+      for (let j = 0; j < f.elements.length; j++) {
+        const e = this.getFormElementValue(f[j]);
         if (e != undefined) {
           tmpForm.push(e);
@@ -48,16 +47,15 @@
     }
 
-    var formsInPage = this.getForms();
-    var f, e, i, j;
-    for (i = 0; i < formsInPage.length; i++) {
-      f = formsInPage[i];
+    const formsInPage = this.getForms();
+    for (let i = 0; i < formsInPage.length; i++) {
+      const f = formsInPage[i];
       var tmpForm = [];
-      for (j = 0; j < f.elements.length; j++) {
-        e = this.getFormElementValue(f[j]);
+      for (let j = 0; j < f.elements.length; j++) {
+        const e = this.getFormElementValue(f[j]);
         if (e != undefined) {
           tmpForm.push(e);
         }
       }
-      for (j = 0; j < this.forms[i].length; j++) {
+      for (let j = 0; j < this.forms[i].length; j++) {
         if (this.forms[i][j] != tmpForm[j]) {
           return false;
@@ -77,8 +75,7 @@
 
     if (this.forms_id.length > 0) {
-      var res = [];
-      var f;
-      for (var i = 0; i < this.forms_id.length; i++) {
-        f = document.getElementById(this.forms_id[i]);
+      let res = [];
+      for (let i = 0; i < this.forms_id.length; i++) {
+        const f = document.getElementById(this.forms_id[i]);
         if (f != undefined) {
           res.push(f);
@@ -134,5 +131,5 @@
 
   getFormRadioValue: function(e) {
-    for (var i = 0; i < e.length; i++) {
+    for (let i = 0; i < e.length; i++) {
       if (e[i].checked) {
         return e[i].value;
@@ -145,5 +142,5 @@
 };
 
-var confirmClosePage = new confirmClose();
+let confirmClosePage = new confirmClose();
 
 chainHandler(window, 'onload', function() {
Index: admin/js/date-picker.js
===================================================================
--- admin/js/date-picker.js	(revision 3706)
+++ admin/js/date-picker.js	(revision 3880)
@@ -21,6 +21,8 @@
   this.oTable.className = 'date-picker';
 
-  var cur = 1;
-  var oRow, oHeading, oSpan;
+  let cur = 1;
+  let oRow;
+  let oHeading;
+  let oSpan;
 
   // Set title
@@ -32,5 +34,5 @@
   oHeading.className = 'date-picker-month';
 
-  var nav = document.createElement('span');
+  let nav = document.createElement('span');
   nav.appendChild(document.createTextNode(String.fromCharCode(171)));
   nav.fn = this.changeMonth;
@@ -97,7 +99,6 @@
   // Create legend
   oRow = document.createElement('tr');
-  var cday;
-  for (i = 0; i < this.days.length; i++) {
-    cday = this.days[i].substring(0, 1).toUpperCase();
+  for (let i = 0; i < this.days.length; i++) {
+    const cday = this.days[i].substring(0, 1).toUpperCase();
     oHeading = document.createElement('th');
     oHeading.appendChild(document.createTextNode(cday));
@@ -108,8 +109,8 @@
 
   // Create 6 rows of 7 cols for days
-  for (var i = 0; i < 6; i++) {
+  for (let i = 0; i < 6; i++) {
     oRow = document.createElement('tr');
 
-    for (var j = 0; j < 7; j++) {
+    for (let j = 0; j < 7; j++) {
       this.oDates[cur] = document.createElement('td');
       this.oDates[cur].appendChild(document.createTextNode(
@@ -243,9 +244,9 @@
       this.months[this.month - 1]));
 
-    var firstDay = this.firstDay();
-    var nbDays = this.numberOfDays();
+    const firstDay = this.firstDay();
+    const nbDays = this.numberOfDays();
 
     // Empty days
-    for (var i = 1; i <= 42; i++) {
+    for (let i = 1; i <= 42; i++) {
       while (this.oDates[i].hasChildNodes()) {
         this.oDates[i].removeChild(this.oDates[i].firstChild);
@@ -259,6 +260,6 @@
 
     // Insert days from the first day to the last
-    for (i = 1; i <= nbDays; i++) {
-      var j = firstDay + i - 1;
+    for (let i = 1; i <= nbDays; i++) {
+      const j = firstDay + i - 1;
 
       while (this.oDates[j].hasChildNodes()) {
@@ -316,6 +317,5 @@
 
   changeMonth: function(dir) {
-    var m = this.month;
-    m = m + dir;
+    const m = this.month + dir;
 
     if (m > 12) {
@@ -346,7 +346,7 @@
 
   sendDate: function(d) {
-    var m = this.month;
-    var hour = this.oHour.value * 1;
-    var minute = this.oMinute.value * 1;
+    let m = this.month;
+    let hour = this.oHour.value * 1;
+    let minute = this.oMinute.value * 1;
 
     if (hour < 0 || hour > 23 || isNaN(hour)) {
@@ -370,15 +370,15 @@
     }
 
-    this.target.value = this.year + '-' + m + '-' + d + ' ' + hour + ':' + minute;
+    this.target.value = `${this.year}-${m}-${d} ${hour}:${minute}`;
     this.close();
   },
 
   sendNow: function() {
-    var dt = new Date();
-    var y = dt.getFullYear();
-    var m = dt.getMonth() + 1;
-    var d = dt.getDate();
-    var h = dt.getHours();
-    var i = dt.getMinutes();
+    let dt = new Date();
+    const y = dt.getFullYear();
+    let m = dt.getMonth() + 1;
+    let d = dt.getDate();
+    let h = dt.getHours();
+    let i = dt.getMinutes();
 
     if (m < 10) {
@@ -395,5 +395,5 @@
     }
 
-    this.target.value = y + '-' + m + '-' + d + ' ' + h + ':' + i;
+    this.target.value = `${y}-${m}-${d} ${h}:${i}`;
     this.close();
   },
@@ -404,5 +404,5 @@
 
   numberOfDays: function() {
-    var res = 31;
+    let res = 31;
     if (this.month == 4 || this.month == 6 || this.month == 9 ||
       this.month == 11) {
@@ -420,6 +420,6 @@
 
   firstDay: function() {
-    var dt = new Date(this.year, this.month - 1, 1);
-    var res = dt.getDay();
+    let dt = new Date(this.year, this.month - 1, 1);
+    let res = dt.getDay();
 
     if (res == 0) {
@@ -432,6 +432,6 @@
   show: function() {
     // Parsing target value
-    var re = /(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2})/;
-    var match = re.exec(this.target.value);
+    const re = /(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2})/;
+    const match = re.exec(this.target.value);
     if (match) {
       this.year = match[1] * 1;
@@ -441,5 +441,5 @@
       this.minute = match[5] * 1;
     } else {
-      var dt = new Date();
+      let dt = new Date();
       this.year = dt.getFullYear();
       this.month = dt.getMonth() + 1;
@@ -457,6 +457,6 @@
 
   setPosition: function() {
-    var t_x = this.findPosX(this.target);
-    var t_y = this.findPosY(this.target);
+    const t_x = this.findPosX(this.target);
+    const t_y = this.findPosY(this.target);
 
     this.oTable.style.position = 'absolute';
@@ -467,5 +467,5 @@
 
   findPosX: function(obj) {
-    var curleft = 0;
+    let curleft = 0;
     if (obj.offsetParent) {
       while (1) {
@@ -483,5 +483,5 @@
 
   findPosY: function(obj) {
-    var curtop = 0;
+    let curtop = 0;
     if (obj.offsetParent) {
       while (1) {
@@ -499,5 +499,5 @@
 
   draw: function() {
-    var imgE = document.createElement('img');
+    const imgE = document.createElement('img');
     imgE.src = this.img_src;
     imgE.alt = this.img_alt;
Index: admin/js/filter-controls.js
===================================================================
--- admin/js/filter-controls.js	(revision 3706)
+++ admin/js/filter-controls.js	(revision 3880)
@@ -3,11 +3,11 @@
 
 $(function() {
-  var reset_url = '?';
+  let reset_url = '?';
   if (dotclear.filter_reset_url != undefined) {
     reset_url = dotclear.filter_reset_url;
   }
 
-  var $filtersform = $('#filters-form');
-  $filtersform.before('<p><a id="filter-control" class="form-control" href="' + reset_url + '" style="display:inline">' + dotclear.msg.filter_posts_list + '</a></p>');
+  const $filtersform = $('#filters-form');
+  $filtersform.before(`<p><a id="filter-control" class="form-control" href="${reset_url}" style="display:inline">${dotclear.msg.filter_posts_list}</a></p>`);
 
   if (dotclear.msg.show_filters == 'false') {
